Bug 428115 - Review Request: perl-WWW-Search - Virtual base class for WWW searches
Review Request: perl-WWW-Search - Virtual base class for WWW searches
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On: 428114
  Show dependency treegraph
Reported: 2008-01-09 05:52 EST by Xavier Bachelot
Modified: 2008-01-23 04:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-23 04:21:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2008-01-09 05:52:13 EST
Spec URL: http://washington.kelkoo.net/fedora/SPECS/perl-WWW-Search.spec
SRPM URL: http://washington.kelkoo.net/fedora/SRPMS/perl-WWW-Search-2.496-2.fc8.src.rpm
Description: This class is the parent for all access methods supported by the WWW::Search
library. This library implements a Perl API to web-based search engines. See README for a list of search engines currently supported, and for a lot of interesting high-level information about this distribution. Search results can be limited, and there is a pause between each request to avoid overloading either the client or the server.
Comment 1 Parag AN(पराग) 2008-01-09 22:14:11 EST
I am not sure what will be license for this package. Also some .pm files under
Search directory does not seem to use open source license usage allowed.

koji build for this package looks good. make test also resulted successful output.
Comment 2 Xavier Bachelot 2008-01-14 07:06:20 EST
Yes, the license is definitely not GPL+ or Artistic.

The main license from the README file :
Copyright (c) 1996 University of Southern California.
All rights reserved.

Redistribution and use in source and binary forms are permitted
provided that the above copyright notice and this paragraph are
duplicated in all such forms and that any documentation, advertising
materials, and other materials related to such distribution and use
acknowledge that the software was developed by the University of
Southern California, Information Sciences Institute.  The name of the
University may not be used to endorse or promote products derived from
this software without specific prior written permission.


The other copyright notice from lib/WWW/Search/{Simple,Null}.pm :
Copyright (c) 1997,98 by the United Nations Administrative Committee
on Coordination (ACC)

All rights reserved.

Spot, what do you think ?
Comment 3 Tom "spot" Callaway 2008-01-21 11:29:05 EST
That's BSD. No problem.
Comment 4 Xavier Bachelot 2008-01-21 11:42:33 EST
Thx Spot. Just to make sure, you did notice the 2nd part with the other
copyright notice from lib/WWW/Search/{Simple,Null}.pm :
Copyright (c) 1997,98 by the United Nations Administrative Committee
on Coordination (ACC)

Is it ok too ?

Updated spec and SRPM :
Spec URL: http://washington.kelkoo.net/fedora/SPECS/perl-WWW-Search.spec
Comment 5 Tom "spot" Callaway 2008-01-21 11:53:00 EST
Yes. Since the Berne Convention, you no longer have to write "All Rights
Reserved" to ensure copyright on a work.

With no individual license statement to look at for that file, we have to refer
to the license statement in the README, which is BSD.
Comment 6 Xavier Bachelot 2008-01-21 11:57:45 EST
Ok, thanks again Spot.
Waiting for the formal review now, Parag. Thanks in advance.
Comment 7 Parag AN(पराग) 2008-01-22 00:00:20 EST
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
6508b06a8b71e14b9e03e4d9f1b38cff  WWW-Search-2.496.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=8, Tests=136,  3 wallclock secs ( 1.84 cusr +  0.16 csys =  2.00 CPU)
+ Package perl-WWW-Search-2.496-3.fc9 ->
  Provides: perl(WWW::Search) = 2.551 perl(WWW::Search::Null)
perl(WWW::Search::Null::Count) = 1.15 perl(WWW::Search::Null::Empty) = 1.9
perl(WWW::Search::Null::Error) = 1.11 perl(WWW::Search::Null::NoVersion)
perl(WWW::Search::Result) = 1.5 perl(WWW::Search::Simple)
perl(WWW::Search::Test) = 2.278 perl(WWW::SearchResult) = 2.74
  Requires: /usr/bin/perl perl(:MODULE_COMPAT_5.8.8) perl(CGI) perl(Carp)
perl(Config) perl(Cwd) perl(Data::Dumper) perl(Date::Manip) perl(Exporter)
perl(File::Copy) perl(File::Find) perl(File::Path) perl(File::Spec::Functions)
perl(Getopt::Long) perl(HTML::TreeBuilder) perl(HTTP::Cookies)
perl(HTTP::Request) perl(HTTP::Response) perl(HTTP::Status)
perl(LWP::MemberMixin) perl(LWP::RobotUA) perl(LWP::UserAgent) perl(POSIX)
perl(Pod::Usage) perl(Test::More) perl(URI) perl(URI::Escape) perl(WWW::Search)
perl(WWW::Search::Result) perl(WWW::SearchResult) perl(base) perl(constant)
perl(strict) perl(vars) perl(warnings)

Comment 8 Xavier Bachelot 2008-01-22 03:34:37 EST
Thanks for yet another review, Parag. You're kind of a reviewing machine and
you're super fast at that :-) Thanks again, I really appreciate your work.

New Package CVS Request
Package Name: perl-WWW-Search
Short Description: Virtual base class for WWW searches
Owners: xavierb
Branches: F-8
Cvsextras Commits: yes
Comment 9 Parag AN(पराग) 2008-01-22 03:40:11 EST
 You welcome :)
Comment 10 Kevin Fenzi 2008-01-22 18:39:10 EST
cvs done.
Comment 11 Xavier Bachelot 2008-01-23 04:21:29 EST
Thanks Kevin.

Imported and built for devel and F-8.

Note You need to log in before you can comment on or make changes to this bug.